############################################################################
Summary: Eclipse for CS50
Name: cs50-eclipse
Version: 2.2
Release: 1
License: EPL and CPL
Group: Text Editors/Integrated Development Environments (IDE)
Source: %{name}-%{version}-%{release}
Vendor: CS50
URL: http://www.eclipse.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: cs50-appliance = 2.2
Requires: java >= 1.6.0
Conflicts: eclipse-platform
BuildArch: i386


############################################################################
# Prevent brp-java-repack-jars from being run.
%define __jar_repack %{nil} 


############################################################################
%description
The Eclipse platform is designed for building integrated development
environments (IDEs), server-side applications, desktop applications, and
everything in between.


############################################################################
%prep
/bin/rm -rf %{_builddir}/%{name}-%{version}-%{release}/
/bin/cp -a %{_sourcedir}/%{name}-%{version}-%{release} %{_builddir}/


############################################################################
%install
/bin/rm -rf %{buildroot}
/bin/cp -a %{_builddir}/%{name}-%{version}-%{release} %{buildroot}/
/bin/mkdir -p %{buildroot}%{_bindir}
/bin/ln -s /opt/eclipse/eclipse %{buildroot}%{_bindir}/


############################################################################
%clean
/bin/rm -rf %{buildroot}


############################################################################
%post
/bin/chgrp -R wheel /opt/eclipse/
/bin/chmod -R a+rX /opt/eclipse/
/bin/chmod -R g+rwX /opt/eclipse/


############################################################################
%files
%defattr(-,root,root,-)
/opt/
/usr/


############################################################################
%changelog
* Mon Aug 22 2011 David J. Malan <malan@harvard.edu> - 2.2-1
- Initial build


############################################################################
# HOW TO PREPARE SOURCES
#
# cd /path/to/SOURCES/cs50-eclipse-2.0/
# mkdir opt/
# cd opt/
# wget http://indigo.eclipsesource.com/R/eclipse-cpp-indigo-incubation-linux-gtk.tar.gz 
# tar xzf eclipse-cpp-indigo-incubation-linux-gtk.tar.gz
# rm -f eclipse-cpp-indigo-incubation-linux-gtk.tar.gz
# cd eclipse/
# ./eclipse -application org.eclipse.equinox.p2.director -destination $PWD -installIU org.eclipse.php.sdk.feature.group -nosplash -repository http://download.eclipse.org/releases/indigo/
# ./eclipse -application org.eclipse.equinox.p2.director -destination $PWD -installIU org.eclipse.jdt.feature.group -nosplash -repository http://download.eclipse.org/releases/indigo/
